#
# Conditional build:
%bcond_without	apidocs	# without doc
#
Summary:	GMerlin Audio Video Library
Summary(pl.UTF-8):	Biblioteka audio/video GMerlin
Name:		gavl
Version:	1.4.0
Release:	1
License:	GPL v2+
Group:		Libraries
Source0:	http://downloads.sourceforge.net/gmerlin/%{name}-%{version}.tar.gz
# Source0-md5:	2752013a817fbc43ddf13552215ec2c0
Patch0:		%{name}-make.patch
URL:		http://gmerlin.sourceforge.net/gavl_frame.html
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake
%{?with_apidocs:BuildRequires:	doxygen}
BuildRequires:	libpng-devel
BuildRequires:	libtool
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		specflags	-fomit-frame-pointer -ffast-math

%description
GMerlin Audio Video Library.

%description -l pl.UTF-8
Biblioteka audio/video GMerlin.

%package devel
Summary:	Header files for gavl library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki gavl
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
This is the package containing the header files for gavl library.

%description devel -l pl.UTF-8
Ten pakiet zawiera pliki nagłówkowe biblioteki gavl.

%package static
Summary:	Static gavl library
Summary(pl.UTF-8):	Statyczna biblioteka gavl
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static gavl library.

%description static -l pl.UTF-8
Statyczna biblioteka gavl.

%prep
%setup -q
%patch0 -p1

%build
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--enable-static \
	%{!?with_apidocs:--without-doxygen} \
	--with-cpuflags=none
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# obsoleted by pkg-config
%{__rm} $RPM_BUILD_ROOT%{_libdir}/*.la
# packaged as %doc
%{__rm} -r $RPM_BUILD_ROOT%{_prefix}/share/doc/%{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS README TODO
%attr(755,root,root) %{_libdir}/libgavl.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libgavl.so.1

%files devel
%defattr(644,root,root,755)
%{?with_apidocs:%doc doc/apiref}
%attr(755,root,root) %{_libdir}/libgavl.so
%{_includedir}/gavl
%{_pkgconfigdir}/gavl.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libgavl.a
%changelog
* Thu Feb 14 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/gavl.git;a=log;h=master

* Thu Feb 14 2013 Jan Rękorajski <baggins@pld-linux.org> 5dc1494
- up to 1.4.0

* Thu Jun 30 2011 Jakub Bogusz <qboosh@pld-linux.org> 55ca8c5
- track soname
- removed redundant --enable-shared option
- GPL version (v2+, from source code not just included COPYING file)

* Tue Jun 28 2011 Tomasz Pala <gotar@pld-linux.org> 6d7a3b5
- soname change

* Tue Jun 28 2011 Tomasz Pala <gotar@pld-linux.org> 8f8e0c7
- upgraded to 1.2.0

* Sat Feb 27 2010 sparky <sparky@pld-linux.org> 702a8f2
- unify %attr() %ghost order

* Sun Jul 05 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> 086d329
- drop obsolete files

* Thu Aug 21 2008 Tomasz Pala <gotar@pld-linux.org> 90f0473
- obsoleted

* Thu Aug 21 2008 Tomasz Pala <gotar@pld-linux.org> e0b0184
- upgraded to 1.0.1,
- specflags taken from Makefile

* Thu Aug 21 2008 Tomasz Pala <gotar@pld-linux.org> bea5e42
- updated to 1.0.1, moved compiler flags to %specflags

* Sun Apr 13 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> d5df4de
- rel 2; fix include path

* Sun Apr 13 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 444328d
- fix include path

* Sun Apr 13 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 1e7afee
- up to 0.2.7

* Sat May 19 2007 sparky <sparky@pld-linux.org> 07f63a9
- added non-x86 patch

* Sat May 19 2007 sparky <sparky@pld-linux.org> 5e14926
- fix compilation on non-x86 archs

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> e0788c4
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 942b201
- converted to UTF-8

* Sun Aug 20 2006 Jakub Bogusz <qboosh@pld-linux.org> c933f0f
- added make patch and doc, changed Group to Libraries

* Sun Aug 20 2006 Jakub Bogusz <qboosh@pld-linux.org> e0e97ba
- honour lib64, kill forcing -O3

* Sun Aug 20 2006 Jakub Bogusz <qboosh@pld-linux.org> bcf4a5b
- pl for base, files fixes

* Thu Aug 17 2006 aredridel <aredridel@pld-linux.org> 4562df2
- added

